<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net462;net7.0;net8.0;net9.0</TargetFrameworks>
    <PackageId>UserManager.Domain</PackageId>
    <Version>3.1.0</Version>
    <Authors>Digital Data GmbH</Authors>
    <Company>Digital Data GmbH</Company>
    <Product>UserManager.Domain</Product>
    <Description>This package provides essential tools for managing user information and permissions. It offers comprehensive CRUD operations for user data and includes features for managing user roles and authentication.</Description>
    <Copyright>Copyright 2024</Copyright>
    <PackageIcon>icon.png</PackageIcon>
    <RepositoryUrl>http://git.dd:3000/AppStd/WebUserManager.git</RepositoryUrl>
    <PackageTags>digital data domain user manager</PackageTags>
    <AssemblyVersion>3.1.0</AssemblyVersion>
    <FileVersion>3.1.0</FileVersion>
  </PropertyGroup>

  <PropertyGroup Condition="'$(TargetFramework)' == 'net462'">
    <Nullable>disable</Nullable>
	<ImplicitUsings>disable</ImplicitUsings>
	<LangVersion>7.3</LangVersion>
  </PropertyGroup>

  <PropertyGroup Condition="'$(TargetFramework)' != 'net462'">
    <Nullable>enable</Nullable>
	<ImplicitUsings>enable</ImplicitUsings>
	<LangVersion>latest</LangVersion>
  </PropertyGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net462'">
	<PackageReference Include="System.ComponentModel.Annotations" Version="4.7.0" />
	<PackageReference Include="System.Drawing.Common" Version="4.7.3" />
  </ItemGroup>
	
  <ItemGroup Condition="'$(TargetFramework)' == 'net7.0'">
	  <PackageReference Include="System.Drawing.Common" Version="7.0.0" />
  </ItemGroup>
	
  <ItemGroup Condition="'$(TargetFramework)' == 'net8.0'">
	  <PackageReference Include="System.Drawing.Common" Version="8.0.16" />
  </ItemGroup>
	
  <ItemGroup Condition="'$(TargetFramework)' == 'net9.0'">
	  <PackageReference Include="System.Drawing.Common" Version="9.0.5" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\Assets\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>
	
</Project>
